Package Details: neovim-git 0.4.0.r2116.geee0668818-1

Git Clone URL: https://aur.archlinux.org/neovim-git.git (read-only, click to copy)
Package Base: neovim-git
Description: Fork of Vim aiming to improve user experience, plugins, and GUIs.
Upstream URL: https://neovim.io
Keywords: editor vim
Licenses: custom:neovim
Conflicts: neovim
Provides: neovim=0.4.0.r2116.geee0668818
Submitter: fhahn
Maintainer: fwalch
Last Packager: fwalch
Votes: 213
Popularity: 4.76
First Submitted: 2014-02-21 19:50
Last Updated: 2020-11-03 17:55

Dependencies (20)

Required by (100)

Sources (1)

Pinned Comments

fwalch commented on 2016-07-04 19:52

Please don't flag this package out-of-date just because the version number displayed on AUR seems old. This is normal for VCS packages. As long as building the package works without problems, it isn't necessary to update the PKGBUILD here. makepkg will automatically retrieve the latest version when you build the package locally.

Latest Comments

« First ‹ Previous ... 17 18 19 20 21 22 23 24 25 26 27 ... Next › Last »

Anthony25 commented on 2014-08-05 08:26

Hello,
I have the same error as sekret, with the line "syntax on" in my .nvimrc.

sekret commented on 2014-08-04 16:20

Forgot to say, with previous builds this didn't show up and neovim worked fine, including syntax highlighting.

sekret commented on 2014-08-04 16:18

Damnit, now there's something else:

$ nvim
Error detected while processing /home/sekret/.nvimrc:
line 1:
E484: Can't open file /tmp/neovim-git/pkg/neovim-git/usr/share/nvim/syntax/syntax.vim
line 5:
E484: Can't open file /tmp/neovim-git/pkg/neovim-git/usr/share/nvim/syntax/syntax.vim

(/tmp/neovim-git is where I stored the PKGBUILD, so /tmp/neovim-git/pkg is $pkgdir)

Something like this never happend to me, I don't know what causes this.

fhahn commented on 2014-08-04 14:47

Thanks, I've replaced lpeg with lua-lpeg.

sekret commented on 2014-08-04 13:13

fwalch is totally right, I just built it with lua-lpeg. This AUR package should be removed! I already filed a request and updated the other package which depends on lpeg.

fwalch commented on 2014-08-04 08:14

Shouldn't it be possible to use lua-lpeg (from extra) instead of lpeg (from AUR)?

fwalch commented on 2014-08-04 08:13

Shouldn't it be possible to use lua-lpeg (from extra) instead of lpeg (from AUR)?

fhahn commented on 2014-08-04 08:01

@sekret:

Thanks, I've updated the install path and added msgpack, perl and gwak to the dependencies.

As @nNa mentioned, the package now contains the complete vim runtime. I'll probably look into moving the runtime files in a neovim-runtime package.

nNa commented on 2014-08-04 07:56

@sekret:

Neovim now contains the whole vim runtime (help files).

sekret commented on 2014-08-04 07:28

Ok, msgpack is definitely a dependency, nvim won't launch without it. Additionally, in the build function, you need to change the install prefix to

-DCMAKE_INSTALL_PREFIX="${pkgdir}/usr"

otherwise stuff will get installed into /share/... which is obviously wrong.

After that, namcap shows this output

neovim-git W: Referenced library 'csh' is an uninstalled dependency
neovim-git W: Referenced library 'nawk' is an uninstalled dependency
neovim-git W: Dependency perl detected but optional (programs ['perl'] needed in scripts ['usr/share/nvim/runtime/tools/shtags.pl', 'usr/share/nvim/runtime/tools/pltags.pl', 'usr/share/nvim/runtime/tools/efm_filter.pl', 'usr/share/nvim/runtime/tools/efm_perl.pl', 'usr/share/nvim/runtime/doc/vim2html.pl'])
neovim-git W: Dependency bash detected but optional (programs ['sh'] needed in scripts ['usr/share/nvim/runtime/tools/vimm', 'usr/share/nvim/runtime/tools/vimspell.sh', 'usr/share/nvim/runtime/tools/ref', 'usr/share/nvim/runtime/macros/less.sh'])

which is ok I think, although I'm not sure why the first 2 lines appear, possibly additional optional dependencies, which aren't in the repos?

Thanks man, now it builds a lot faster. Strange though that the package is a lot bigger now.